#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include "txtren.h"

int main(int argc,char **argv)
{
  u_font_t *font;
  uint32_t W, H; uint8_t *D;
  uint32_t i;

  char *name;
  int size; char *str;

  FILE *f;
  if (font_init())
     exit(fprintf(stderr,"can't init library\n"));
#if 1
  name= argv[1];
  size= atoi(argv[2]);
  str= argv[3];
#else
  name= "/home/dodo/.fonts/Anonymous_Pro.ttf";
  size= 16;
  str= "Helloy FontiŞ";
#endif
  font= font_new(name, size);   
  if (!font)
     exit(fprintf(stderr,"can't load font\n"));
  text_render(font, str, &W, &D);
  H= font->height;
  
  f= fopen("out.ppm", "w");
  fprintf(f, "P6\n%d %d\n255\n", W,H);
  for(i=0;i<W*H;i++)
  {
    fwrite(D+i, 1,1, f);
    fwrite(D+i, 1,1, f);
    fwrite(D+i, 1,1, f);
  }
  fclose(f);
  free(D);
  font_free(font);
  font_finish();
  return 0;
}
